PUT api/campaigntemplate/preview
Request Information
URI Parameters
None.
Body Parameters
CampaignTemplateDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Name | string |
None. |
|
| Width | integer |
None. |
|
| Items | Collection of CampaignTemplateItemDto |
None. |
|
| HasFooter | boolean |
None. |
|
| HasTestimonials | boolean |
None. |
|
| Price | CampaignPriceDto |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Created | date |
None. |
|
| Updated | date |
None. |
|
| IsDeleted | boolean |
None. |
|
| Campaigns | Collection of EntityDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "c5608092-cf16-48c2-b1ba-580a5ba52255",
"name": "sample string 1",
"width": 2,
"items": [
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-03-09T10:54:21.207005+01:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
},
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-03-09T10:54:21.207005+01:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
}
],
"hasFooter": true,
"hasTestimonials": true,
"price": {
"amount": 1.0,
"currency": "sample string 2"
},
"products": [
"bc93ee11-017f-4573-a8d7-835adabfd5b3",
"05dedd6d-7f8a-453e-8d23-abfde0e92c9f"
],
"created": "2026-03-09T10:54:21.207005+01:00",
"updated": "2026-03-09T10:54:21.207005+01:00",
"isDeleted": true,
"campaigns": [
{
"id": "cf0f4e80-f8c1-403f-bb5a-1d6f42eb2eb7",
"name": "sample string 2",
"type": "sample string 3"
},
{
"id": "cf0f4e80-f8c1-403f-bb5a-1d6f42eb2eb7",
"name": "sample string 2",
"type": "sample string 3"
}
]
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.